Page MenuHomePhabricator

Browser autocomplete is annoying on Special:NewLexeme with entity suggestor
Closed, ResolvedPublic

Description

The browser autocomplete field is very annoying on Special:NewLexeme.
I should be able to see the entity suggester here, but it is hidden under the auto completion.

I'm pretty sure there is a way to disable browser autocomplete here, it might be worth doing?

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseLexeme : masterItemSelectorWidgetField: prevent autocomplete
mediawiki/extensions/WikibaseLexeme : masterPrevent browser autocomplete on Special:NewLexeme

Event Timeline

Addshore created this task.Apr 5 2018, 1:56 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptApr 5 2018, 1:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lydia_Pintscher triaged this task as Low priority.Apr 6 2018, 9:42 AM

*buzz* This is annoying

Apparently it’s pretty simple: set autocomplete="off" (see MDN).

Change 434720 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Prevent browser autocomplete on Special:NewLexeme

https://gerrit.wikimedia.org/r/434720

Change 434720 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Prevent browser autocomplete on Special:NewLexeme

https://gerrit.wikimedia.org/r/434720

Lydia_Pintscher raised the priority of this task from Low to Medium.May 27 2018, 4:03 PM

Change 435750 had a related patch set (by Pablo Grass (WMDE)) published:
[mediawiki/extensions/WikibaseLexeme@master] ItemSelectorWidgetField: prevent autocomplete

https://gerrit.wikimedia.org/r/435750

Lydia_Pintscher closed this task as Resolved.May 28 2018, 12:01 PM

Change 435750 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] ItemSelectorWidgetField: prevent autocomplete

https://gerrit.wikimedia.org/r/435750

https://gerrit.wikimedia.org/r/#/c/435750/ is a follow-up to always disable autocomplete on ItemSelectorWidgetField